com.genesyslab.wfm7.API.service.forecast720

## Class FrcTargetForecastInformation

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast720.FrcTargetForecastInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcTargetForecastInformation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `commentArraySize` Comments array size
    `private FrcDataComment[]` | `comments` Comments
    `private FrcData[]` | `data` Forecast data
    `private int` | `dataArraySize` Data array size
    `private double` | `end` Period end date
    `private int` | `granularity` Data granularity
    `private FrcDataObjectives[]` | `objectives` Objectives
    `private int` | `objectivesArraySize` Objectives array size
    `private FrcDataParameters[]` | `parameters` Parameters
    `private int` | `parametersArraySize` Parameters array size
    `private FrcPeriodParameters[]` | `periodParameters` Period Parameters
    `private int` | `periodParametersArraySize` Period Parameters array size
    `private double` | `start` Period start date
    `private int` | `target` Target level
    `private int` | `targetId` Target ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcTargetForecastInformation()`
    `FrcTargetForecastInformation(int targetId, int target, double start, double end, int granularity, int parametersArraySize, FrcDataParameters[] parameters, int objectivesArraySize, FrcDataObjectives[] objectives, int periodParametersArraySize, FrcPeriodParameters[] periodParameters, int dataArraySize, FrcData[] data, int commentArraySize, FrcDataComment[] comments)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getCommentArraySize()` Gets the commentArraySize value for this FrcTargetForecastInformation.
    `FrcDataComment[]` | `getComments()` Gets the comments value for this FrcTargetForecastInformation.
    `FrcData[]` | `getData()` Gets the data value for this FrcTargetForecastInformation.
    `int` | `getDataArraySize()` Gets the dataArraySize value for this FrcTargetForecastInformation.
    `double` | `getEnd()` Gets the end value for this FrcTargetForecastInformation.
    `int` | `getGranularity()` Gets the granularity value for this FrcTargetForecastInformation.
    `FrcDataObjectives[]` | `getObjectives()` Gets the objectives value for this FrcTargetForecastInformation.
    `int` | `getObjectivesArraySize()` Gets the objectivesArraySize value for this FrcTargetForecastInformation.
    `FrcDataParameters[]` | `getParameters()` Gets the parameters value for this FrcTargetForecastInformation.
    `int` | `getParametersArraySize()` Gets the parametersArraySize value for this FrcTargetForecastInformation.
    `FrcPeriodParameters[]` | `getPeriodParameters()` Gets the periodParameters value for this FrcTargetForecastInformation.
    `int` | `getPeriodParametersArraySize()` Gets the periodParametersArraySize value for this FrcTargetForecastInformation.
    `double` | `getStart()` Gets the start value for this FrcTargetForecastInformation.
    `int` | `getTarget()` Gets the target value for this FrcTargetForecastInformation.
    `int` | `getTargetId()` Gets the targetId value for this FrcTargetForecastInformation.
    `int` | `hashCode()`
    `void` | `setCommentArraySize(int commentArraySize)` Sets the commentArraySize value for this FrcTargetForecastInformation.
    `void` | `setComments(FrcDataComment[] comments)` Sets the comments value for this FrcTargetForecastInformation.
    `void` | `setData(FrcData[] data)` Sets the data value for this FrcTargetForecastInformation.
    `void` | `setDataArraySize(int dataArraySize)` Sets the dataArraySize value for this FrcTargetForecastInformation.
    `void` | `setEnd(double end)` Sets the end value for this FrcTargetForecastInformation.
    `void` | `setGranularity(int granularity)` Sets the granularity value for this FrcTargetForecastInformation.
    `void` | `setObjectives(FrcDataObjectives[] objectives)` Sets the objectives value for this FrcTargetForecastInformation.
    `void` | `setObjectivesArraySize(int objectivesArraySize)` Sets the objectivesArraySize value for this FrcTargetForecastInformation.
    `void` | `setParameters(FrcDataParameters[] parameters)` Sets the parameters value for this FrcTargetForecastInformation.
    `void` | `setParametersArraySize(int parametersArraySize)` Sets the parametersArraySize value for this FrcTargetForecastInformation.
    `void` | `setPeriodParameters(FrcPeriodParameters[] periodParameters)` Sets the periodParameters value for this FrcTargetForecastInformation.
    `void` | `setPeriodParametersArraySize(int periodParametersArraySize)` Sets the periodParametersArraySize value for this FrcTargetForecastInformation.
    `void` | `setStart(double start)` Sets the start value for this FrcTargetForecastInformation.
    `void` | `setTarget(int target)` Sets the target value for this FrcTargetForecastInformation.
    `void` | `setTargetId(int targetId)` Sets the targetId value for this FrcTargetForecastInformation.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### targetId

          private int targetId

      Target ID

    - #### target

          private int target

      Target level

    - #### start

          private double start

      Period start date

    - #### end

          private double end

      Period end date

    - #### granularity

          private int granularity

      Data granularity

    - #### parametersArraySize

          private int parametersArraySize

      Parameters array size

    - #### parameters

          private FrcDataParameters[] parameters

      Parameters

    - #### objectivesArraySize

          private int objectivesArraySize

      Objectives array size

    - #### objectives

          private FrcDataObjectives[] objectives

      Objectives

    - #### periodParametersArraySize

          private int periodParametersArraySize

      Period Parameters array size

    - #### periodParameters

          private FrcPeriodParameters[] periodParameters

      Period Parameters

    - #### dataArraySize

          private int dataArraySize

      Data array size

    - #### data

          private FrcData[] data

      Forecast data

    - #### commentArraySize

          private int commentArraySize

      Comments array size

    - #### comments

          private FrcDataComment[] comments

      Comments

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcTargetForecastInformation

          public FrcTargetForecastInformation()

    - #### FrcTargetForecastInformation

          public FrcTargetForecastInformation(int targetId,
                                      int target,
                                      double start,
                                      double end,
                                      int granularity,
                                      int parametersArraySize,
                                      FrcDataParameters[] parameters,
                                      int objectivesArraySize,
                                      FrcDataObjectives[] objectives,
                                      int periodParametersArraySize,
                                      FrcPeriodParameters[] periodParameters,
                                      int dataArraySize,
                                      FrcData[] data,
                                      int commentArraySize,
                                      FrcDataComment[] comments)

  - ### Method Detail

    - #### getTargetId

          public int getTargetId()

      Gets the targetId value for this FrcTargetForecastInformation.
      Returns:
        targetId Target level
      See Also:
        `EFrcDataTargets`

    - #### setTargetId

          public void setTargetId(int targetId)

      Sets the targetId value for this FrcTargetForecastInformation.
      Parameters:
        `targetId` - Target level
      See Also:
        `EFrcDataTargets`

    - #### getTarget

          public int getTarget()

      Gets the target value for this FrcTargetForecastInformation.
      Returns:
        target Target identifier

    - #### setTarget

          public void setTarget(int target)

      Sets the target value for this FrcTargetForecastInformation.
      Parameters:
        `target` - Target identifier

    - #### getStart

          public double getStart()

      Gets the start value for this FrcTargetForecastInformation.
      Returns:
        start Requested period start date

    - #### setStart

          public void setStart(double start)

      Sets the start value for this FrcTargetForecastInformation.
      Parameters:
        `start` - Requested period start date

    - #### getEnd

          public double getEnd()

      Gets the end value for this FrcTargetForecastInformation.
      Returns:
        end Requested period end date

    - #### setEnd

          public void setEnd(double end)

      Sets the end value for this FrcTargetForecastInformation.
      Parameters:
        `end` - Requested period end date

    - #### getGranularity

          public int getGranularity()

      Gets the granularity value for this FrcTargetForecastInformation.
      Returns:
        granularity Data granularity

    - #### setGranularity

          public void setGranularity(int granularity)

      Sets the granularity value for this FrcTargetForecastInformation.
      Parameters:
        `granularity` - Data granularity

    - #### getParametersArraySize

          public int getParametersArraySize()

      Gets the parametersArraySize value for this FrcTargetForecastInformation.
      Returns:
        parametersArraySize Forecast parameters array size

    - #### setParametersArraySize

          public void setParametersArraySize(int parametersArraySize)

      Sets the parametersArraySize value for this FrcTargetForecastInformation.
      Parameters:
        `parametersArraySize` - Forecast parameters array size

    - #### getParameters

          public FrcDataParameters[] getParameters()

      Gets the parameters value for this FrcTargetForecastInformation.
      Returns:
        parameters Forecast parameters array

    - #### setParameters

          public void setParameters(FrcDataParameters[] parameters)

      Sets the parameters value for this FrcTargetForecastInformation.
      Parameters:
        `parameters` - Forecast parameters array

    - #### getObjectivesArraySize

          public int getObjectivesArraySize()

      Gets the objectivesArraySize value for this FrcTargetForecastInformation.
      Returns:
        objectivesArraySize Forecast objectives array size

    - #### setObjectivesArraySize

          public void setObjectivesArraySize(int objectivesArraySize)

      Sets the objectivesArraySize value for this FrcTargetForecastInformation.
      Parameters:
        `objectivesArraySize` - Forecast objectives array size

    - #### getObjectives

          public FrcDataObjectives[] getObjectives()

      Gets the objectives value for this FrcTargetForecastInformation.
      Returns:
        objectives Forecast objectives array

    - #### setObjectives

          public void setObjectives(FrcDataObjectives[] objectives)

      Sets the objectives value for this FrcTargetForecastInformation.
      Parameters:
        `objectives` - Forecast objectives array

    - #### getPeriodParametersArraySize

          public int getPeriodParametersArraySize()

      Gets the periodParametersArraySize value for this FrcTargetForecastInformation.
      Returns:
        periodParametersArraySize Forecast period parameters array size

    - #### setPeriodParametersArraySize

          public void setPeriodParametersArraySize(int periodParametersArraySize)

      Sets the periodParametersArraySize value for this FrcTargetForecastInformation.
      Parameters:
        `periodParametersArraySize` - Forecast period parameters array size

    - #### getPeriodParameters

          public FrcPeriodParameters[] getPeriodParameters()

      Gets the periodParameters value for this FrcTargetForecastInformation.
      Returns:
        periodParameters Forecast period parameters array

    - #### setPeriodParameters

          public void setPeriodParameters(FrcPeriodParameters[] periodParameters)

      Sets the periodParameters value for this FrcTargetForecastInformation.
      Parameters:
        `periodParameters` - Forecast period parameters array

    - #### getDataArraySize

          public int getDataArraySize()

      Gets the dataArraySize value for this FrcTargetForecastInformation.
      Returns:
        dataArraySize Forecast data array size

    - #### setDataArraySize

          public void setDataArraySize(int dataArraySize)

      Sets the dataArraySize value for this FrcTargetForecastInformation.
      Parameters:
        `dataArraySize` - Forecast data array size

    - #### getData

          public FrcData[] getData()

      Gets the data value for this FrcTargetForecastInformation.
      Returns:
        data Forecast data array

    - #### setData

          public void setData(FrcData[] data)

      Sets the data value for this FrcTargetForecastInformation.
      Parameters:
        `data` - Forecast data array

    - #### getCommentArraySize

          public int getCommentArraySize()

      Gets the commentArraySize value for this FrcTargetForecastInformation.
      Returns:
        commentArraySize Forecast comments array size

    - #### setCommentArraySize

          public void setCommentArraySize(int commentArraySize)

      Sets the commentArraySize value for this FrcTargetForecastInformation.
      Parameters:
        `commentArraySize` - Forecast comments array size

    - #### getComments

          public FrcDataComment[] getComments()

      Gets the comments value for this FrcTargetForecastInformation.
      Returns:
        comments Forecast comments array

    - #### setComments

          public void setComments(FrcDataComment[] comments)

      Sets the comments value for this FrcTargetForecastInformation.
      Parameters:
        `comments` - Forecast comments array

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.